import React, { useState } from 'react';
import ReactDOM from 'react-dom';
import { useWorldAtlas } from './useWorldAtlas';
import { useData } from './useData';
import { BubbleMap } from './BubbleMap/index.js';
import { Top15Histogram } from './Top15Histogram/index.js';

const width = 960;
const height = 500;
const dateHistogramSize = 0.2;

const xValue = d => d['Reported Date'];

const App = () => {
  const worldAtlas = useWorldAtlas();
  const data = useData();
  const initialYear = 'Last available';
  var [year, setYear] = useState(initialYear);
  var [country, setCountry] = useState(null);

  if (!worldAtlas || !data) {
    return <pre>Loading...</pre>;
  }
  
  

  const sizeScale = scaleSqrt()
    .domain([0, max(countries, sizeValue)])
    .range([0, maxRadius]);
  
